Package ghidra.features.base.codecompare.listing

# Class ListingCodeComparisonOptions

java.lang.Object
ghidra.features.base.codecompare.listing.ListingCodeComparisonOptions

public class ListingCodeComparisonOptions extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HELP_TOPIC`
  `static final String`
  `OPTIONS_CATEGORY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingCodeComparisonOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getByteDiffsBackgroundColor()`
  `Color`
  `getDefaultByteDiffsBackgroundColor()`
  `Color`
  `getDefaultDiffCodeUnitsBackgroundColor()`
  `Color`
  `getDefaultMnemonicDiffsBackgroundColor()`
  `Color`
  `getDefaultOperandDiffsBackgroundColor()`
  `Color`
  `getDefaultUnmatchedCodeUnitsBackgroundColor()`
  `Color`
  `getDiffCodeUnitsBackgroundColor()`
  `Color`
  `getMnemonicDiffsBackgroundColor()`
  `Color`
  `getOperandDiffsBackgroundColor()`
  `Color`
  `getUnmatchedCodeUnitsBackgroundColor()`
  `void`
  `initializeOptions(ToolOptions options)`
  `void`
  `loadOptions(ToolOptions options)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OPTIONS_CATEGORY_NAME

    public static final String OPTIONS_CATEGORY_NAME
    See Also:
      - Constant Field Values

  - ### HELP_TOPIC

    public static final String HELP_TOPIC
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ListingCodeComparisonOptions

    public ListingCodeComparisonOptions()

- ## Method Details

  - ### getDefaultByteDiffsBackgroundColor

    public Color getDefaultByteDiffsBackgroundColor()

  - ### getDefaultMnemonicDiffsBackgroundColor

    public Color getDefaultMnemonicDiffsBackgroundColor()

  - ### getDefaultOperandDiffsBackgroundColor

    public Color getDefaultOperandDiffsBackgroundColor()

  - ### getDefaultDiffCodeUnitsBackgroundColor

    public Color getDefaultDiffCodeUnitsBackgroundColor()

  - ### getDefaultUnmatchedCodeUnitsBackgroundColor

    public Color getDefaultUnmatchedCodeUnitsBackgroundColor()

  - ### getByteDiffsBackgroundColor

    public Color getByteDiffsBackgroundColor()

  - ### getMnemonicDiffsBackgroundColor

    public Color getMnemonicDiffsBackgroundColor()

  - ### getOperandDiffsBackgroundColor

    public Color getOperandDiffsBackgroundColor()

  - ### getDiffCodeUnitsBackgroundColor

    public Color getDiffCodeUnitsBackgroundColor()

  - ### getUnmatchedCodeUnitsBackgroundColor

    public Color getUnmatchedCodeUnitsBackgroundColor()

  - ### initializeOptions

    public void initializeOptions(ToolOptions options)

  - ### loadOptions

    public void loadOptions(ToolOptions options)